Subject: Re: bug#47405: Blender bogus RUNPATH entry

From: Mark H Weaver <[email-masked]>
Date: Fri, 26 Mar 2021 03:20:10 -0400

Leo Famulari <[email-masked]> writes:

> I noticed this while building Blender:
>
> ------
> starting phase `validate-runpath'
> validating RUNPATH of 1 binaries in "/gnu/store/zswz75ysalm105b774s2g2k6vq5g0jbc-blender-2.91.0/bin"...
> /gnu/store/zswz75ysalm105b774s2g2k6vq5g0jbc-blender-2.91.0/bin/blender: warning: RUNPATH contains bogus entries: ("/tbb/lib")
> ------
>
> We should figure out what's going on there.

Another data point: that warning doesn't occur in our [email-masked]
package, at least not when I build it locally.  I see this:

--8<---------------cut here---------------start------------->8---
starting phase `validate-runpath'
validating RUNPATH of 2 binaries in "/gnu/store/wki0179rmnvzgmghsl676q4vi2d72gby-blender-2.79b/bin"...
phase `validate-runpath' succeeded after 0.4 seconds
--8<---------------cut here---------------end--------------->8---

      Mark